DING(1)

NAME
ding - dictionary lookup program for Unix

SYNOPSIS
ding [options] [phrase]

DESCRIPTION
ding is a dictionary lookup program for X Windows/Unix. It comes with a German-English dictionary with about 345,000 entries.

It is based on Tk version >= 8.3 and uses the agrep(1) or egrep(1) tools for searching.

In addition to this ding can also search using ispell(1) and dict(1).

It has many configuration options, such as search preferences, interface language (English or German), colors. It has history and help functions and comes with useful key and mouse bindings for quick and easy lookups.

If you enter some word or phrase as command line argument, ding will start up with a translation of this word/phrase.

OPTIONS

-x, --selection
    Start searching for selected word (X selection).

-m, --mini
    Start with minimal size (search form only).

-r, --remote
    Start search in an already running program.

-R, --remote-new
    Start search in an already running program or start a new program.

--noconf
    Do not save preferences

-D #, --debug #
    Start with debug output, # = number (1..15).

USAGE
It's very simple: Start ding (via KDE menu "Tools" or via command line), type in search word, press ENTER, read results. Search further by double-clicking a word, or select a word in another window and drop it by clicking with mouse button 2 over the "ding window". For further information consult the program help by pressing F1.

SEE ALSO
agrep(1), egrep(1), ispell(1), ding(1).
https://www.tu-chemnitz.de/~fri/ding/
/usr/share/doc/ding/html/index.html

AUTHOR
ding was written by Frank Richter <frank.richter@hrz.tu-chemnitz.de>.

This manual page was written by Roland Rosenfeld <roland@spinnaker.de>, for the Debian GNU/Linux system (but may be used by others).